Skip to main content
GET
/
v1
/
channel
/
ticket
/
attachment
Download Attachment
curl --request GET \
  --url https://scx-sbx.api.jtl-software.com/v1/channel/ticket/attachment \
  --header 'Authorization: Bearer <token>'
"<string>"

Authorizations

Authorization
string
header
required

As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.

Query Parameters

sellerId
string
required

ID of the seller that owns the ticket attachment. A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.

Pattern: ^\w{1,50}$
Example:

"4711"

ticketId
string
required

ID of the ticket the attachment belongs to. Unique identifcation for Ticket Id

Required string length: 1 - 256
Example:

"CASE-01071982"

filename
string
required

Filename of the attachment to download.

Response

Ticket Attachment

The response is of type string.